<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>screenlets.plugins.Mplayer</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="screenlets-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            >Screenlets 0.1.2</th>
          </tr></table></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">
      <span class="breadcrumbs">
        <a href="screenlets-module.html">Package&nbsp;screenlets</a> ::
        <a href="screenlets.plugins-module.html">Package&nbsp;plugins</a> ::
        Module&nbsp;Mplayer
      </span>
    </td>
    <td>
      <table cellpadding="0" cellspacing="0">
        <!-- hide/show private -->
        <tr><td align="right"><span class="options">[<a href="javascript:void(0);" class="privatelink"
    onclick="toggle_private();">hide&nbsp;private</a>]</span></td></tr>
        <tr><td align="right"><span class="options"
            >[<a href="frames.html" target="_top">frames</a
            >]&nbsp;|&nbsp;<a href="screenlets.plugins.Mplayer-pysrc.html"
            target="_top">no&nbsp;frames</a>]</span></td></tr>
      </table>
    </td>
  </tr>
</table>
<h1 class="epydoc">Source Code for <a href="screenlets.plugins.Mplayer-module.html">Module screenlets.plugins.Mplayer</a></h1>
<pre class="py-src">
<a name="L1"></a><tt class="py-lineno">  1</tt>  <tt class="py-line"><tt class="py-comment"># This application is released under the GNU General Public License </tt> </tt>
<a name="L2"></a><tt class="py-lineno">  2</tt>  <tt class="py-line"><tt class="py-comment"></tt><tt class="py-comment"># v3 (or, at your option, any later version). You can find the full </tt> </tt>
<a name="L3"></a><tt class="py-lineno">  3</tt>  <tt class="py-line"><tt class="py-comment"></tt><tt class="py-comment"># text of the license under http://www.gnu.org/licenses/gpl.txt. </tt> </tt>
<a name="L4"></a><tt class="py-lineno">  4</tt>  <tt class="py-line"><tt class="py-comment"></tt><tt class="py-comment"># By using, editing and/or distributing this software you agree to </tt> </tt>
<a name="L5"></a><tt class="py-lineno">  5</tt>  <tt class="py-line"><tt class="py-comment"></tt><tt class="py-comment"># the terms and conditions of this license. </tt> </tt>
<a name="L6"></a><tt class="py-lineno">  6</tt>  <tt class="py-line"><tt class="py-comment"></tt><tt class="py-comment"># Thank you for using free software!</tt> </tt>
<a name="L7"></a><tt class="py-lineno">  7</tt>  <tt class="py-line"><tt class="py-comment"></tt> </tt>
<a name="L8"></a><tt class="py-lineno">  8</tt>  <tt class="py-line"><tt class="py-comment">#  Mplayer module (c) Whise (Helder Fraga) 2008 &lt;helder.fraga@hotmail.com&gt;</tt> </tt>
<a name="L9"></a><tt class="py-lineno">  9</tt>  <tt class="py-line"><tt class="py-comment"></tt> </tt>
<a name="L10"></a><tt class="py-lineno"> 10</tt>  <tt class="py-line"> </tt>
<a name="L11"></a><tt class="py-lineno"> 11</tt>  <tt class="py-line"><tt class="py-keyword">import</tt> <tt class="py-name">sys</tt><tt class="py-op">,</tt> <tt class="py-name">os</tt><tt class="py-op">,</tt> <tt class="py-name">fcntl</tt><tt class="py-op">,</tt> <tt class="py-name">gobject</tt><tt class="py-op">,</tt> <tt class="py-name">time</tt><tt class="py-op">,</tt> <tt class="py-name">re</tt> </tt>
<a name="L12"></a><tt class="py-lineno"> 12</tt>  <tt class="py-line"> </tt>
<a name="L13"></a><tt class="py-lineno"> 13</tt>  <tt class="py-line"><tt id="link-0" class="py-name" targets="Variable screenlets.plugins.Mplayer.STATUS_TIMEOUT=screenlets.plugins.Mplayer-module.html#STATUS_TIMEOUT"><a title="screenlets.plugins.Mplayer.STATUS_TIMEOUT" class="py-name" href="#" onclick="return doclink('link-0', 'STATUS_TIMEOUT', 'link-0');">STATUS_TIMEOUT</a></tt> <tt class="py-op">=</tt> <tt class="py-number">1000</tt> </tt>
<a name="L14"></a><tt class="py-lineno"> 14</tt>  <tt class="py-line"> </tt>
<a name="L15"></a><tt class="py-lineno"> 15</tt>  <tt class="py-line"><tt class="py-comment">#</tt> </tt>
<a name="L16"></a><tt class="py-lineno"> 16</tt>  <tt class="py-line"><tt class="py-comment"></tt><tt class="py-comment">#  Provides simple piped I/O to an mplayer process.</tt> </tt>
<a name="L17"></a><tt class="py-lineno"> 17</tt>  <tt class="py-line"><tt class="py-comment"></tt><tt class="py-comment">#</tt> </tt>
<a name="Mplayer"></a><div id="Mplayer-def"><a name="L18"></a><tt class="py-lineno"> 18</tt> <a class="py-toggle" href="#" id="Mplayer-toggle" onclick="return toggle('Mplayer');">-</a><tt class="py-line"><tt class="py-comment"></tt><tt class="py-keyword">class</tt> <a class="py-def-name" href="screenlets.plugins.Mplayer.Mplayer-class.html">Mplayer</a><tt class="py-op">:</tt> </tt>
</div><div id="Mplayer-collapsed" style="display:none;" pad="+++" indent="++++"></div><div id="Mplayer-expanded"><a name="L19"></a><tt class="py-lineno"> 19</tt>  <tt class="py-line">         </tt>
<a name="L20"></a><tt class="py-lineno"> 20</tt>  <tt class="py-line">        <tt id="link-1" class="py-name" targets="Variable screenlets.plugins.Mplayer.Mplayer.pymp=screenlets.plugins.Mplayer.Mplayer-class.html#pymp"><a title="screenlets.plugins.Mplayer.Mplayer.pymp" class="py-name" href="#" onclick="return doclink('link-1', 'pymp', 'link-1');">pymp</a></tt><tt class="py-op">,</tt> <tt id="link-2" class="py-name" targets="Variable screenlets.plugins.Mplayer.Mplayer.mplayerIn=screenlets.plugins.Mplayer.Mplayer-class.html#mplayerIn"><a title="screenlets.plugins.Mplayer.Mplayer.mplayerIn" class="py-name" href="#" onclick="return doclink('link-2', 'mplayerIn', 'link-2');">mplayerIn</a></tt><tt class="py-op">,</tt> <tt id="link-3" class="py-name" targets="Variable screenlets.plugins.Mplayer.Mplayer.mplayerOut=screenlets.plugins.Mplayer.Mplayer-class.html#mplayerOut"><a title="screenlets.plugins.Mplayer.Mplayer.mplayerOut" class="py-name" href="#" onclick="return doclink('link-3', 'mplayerOut', 'link-3');">mplayerOut</a></tt> <tt class="py-op">=</tt> <tt class="py-name">None</tt><tt class="py-op">,</tt> <tt class="py-name">None</tt><tt class="py-op">,</tt> <tt class="py-name">None</tt> </tt>
<a name="L21"></a><tt class="py-lineno"> 21</tt>  <tt class="py-line">        <tt id="link-4" class="py-name" targets="Variable screenlets.plugins.Mplayer.Mplayer.inputHandler=screenlets.plugins.Mplayer.Mplayer-class.html#inputHandler"><a title="screenlets.plugins.Mplayer.Mplayer.inputHandler" class="py-name" href="#" onclick="return doclink('link-4', 'inputHandler', 'link-4');">inputHandler</a></tt><tt class="py-op">,</tt> <tt id="link-5" class="py-name" targets="Variable screenlets.plugins.Mplayer.Mplayer.eofHandler=screenlets.plugins.Mplayer.Mplayer-class.html#eofHandler"><a title="screenlets.plugins.Mplayer.Mplayer.eofHandler" class="py-name" href="#" onclick="return doclink('link-5', 'eofHandler', 'link-5');">eofHandler</a></tt><tt class="py-op">,</tt> <tt id="link-6" class="py-name" targets="Variable screenlets.plugins.Mplayer.Mplayer.statusQuery=screenlets.plugins.Mplayer.Mplayer-class.html#statusQuery"><a title="screenlets.plugins.Mplayer.Mplayer.statusQuery" class="py-name" href="#" onclick="return doclink('link-6', 'statusQuery', 'link-6');">statusQuery</a></tt> <tt class="py-op">=</tt> <tt class="py-number">0</tt><tt class="py-op">,</tt> <tt class="py-number">0</tt><tt class="py-op">,</tt> <tt class="py-number">0</tt> </tt>
<a name="L22"></a><tt class="py-lineno"> 22</tt>  <tt class="py-line">        <tt id="link-7" class="py-name" targets="Variable screenlets.plugins.Mplayer.Mplayer.paused=screenlets.plugins.Mplayer.Mplayer-class.html#paused"><a title="screenlets.plugins.Mplayer.Mplayer.paused" class="py-name" href="#" onclick="return doclink('link-7', 'paused', 'link-7');">paused</a></tt> <tt class="py-op">=</tt> <tt class="py-name">False</tt> </tt>
<a name="L23"></a><tt class="py-lineno"> 23</tt>  <tt class="py-line">        <tt id="link-8" class="py-name" targets="Variable screenlets.plugins.Mplayer.Mplayer.streamTitle=screenlets.plugins.Mplayer.Mplayer-class.html#streamTitle"><a title="screenlets.plugins.Mplayer.Mplayer.streamTitle" class="py-name" href="#" onclick="return doclink('link-8', 'streamTitle', 'link-8');">streamTitle</a></tt> <tt class="py-op">=</tt> <tt class="py-string">""</tt> </tt>
<a name="L24"></a><tt class="py-lineno"> 24</tt>  <tt class="py-line">        <tt id="link-9" class="py-name" targets="Variable screenlets.plugins.Mplayer.Mplayer.streamTitleChangeListeners=screenlets.plugins.Mplayer.Mplayer-class.html#streamTitleChangeListeners"><a title="screenlets.plugins.Mplayer.Mplayer.streamTitleChangeListeners" class="py-name" href="#" onclick="return doclink('link-9', 'streamTitleChangeListeners', 'link-9');">streamTitleChangeListeners</a></tt> <tt class="py-op">=</tt> <tt class="py-op">[</tt><tt class="py-op">]</tt> </tt>
<a name="L25"></a><tt class="py-lineno"> 25</tt>  <tt class="py-line">         </tt>
<a name="L26"></a><tt class="py-lineno"> 26</tt>  <tt class="py-line">        <tt class="py-comment">#</tt> </tt>
<a name="L27"></a><tt class="py-lineno"> 27</tt>  <tt class="py-line"><tt class="py-comment"></tt>        <tt class="py-comment">#  Initializes this Mplayer with the specified Pymp.</tt> </tt>
<a name="L28"></a><tt class="py-lineno"> 28</tt>  <tt class="py-line"><tt class="py-comment"></tt>        <tt class="py-comment">#</tt> </tt>
<a name="Mplayer.__init__"></a><div id="Mplayer.__init__-def"><a name="L29"></a><tt class="py-lineno"> 29</tt> <a class="py-toggle" href="#" id="Mplayer.__init__-toggle" onclick="return toggle('Mplayer.__init__');">-</a><tt class="py-line"><tt class="py-comment"></tt>        <tt class="py-keyword">def</tt> <a class="py-def-name" href="screenlets.plugins.Mplayer.Mplayer-class.html#__init__">__init__</a><tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">,</tt> <tt class="py-param">pymp</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="Mplayer.__init__-collapsed" style="display:none;" pad="+++" indent="++++++++++++"></div><div id="Mplayer.__init__-expanded"><a name="L30"></a><tt class="py-lineno"> 30</tt>  <tt class="py-line">                <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-10" class="py-name"><a title="screenlets.plugins.Mplayer.Mplayer.pymp" class="py-name" href="#" onclick="return doclink('link-10', 'pymp', 'link-1');">pymp</a></tt> <tt class="py-op">=</tt> <tt id="link-11" class="py-name"><a title="screenlets.plugins.Mplayer.Mplayer.pymp" class="py-name" href="#" onclick="return doclink('link-11', 'pymp', 'link-1');">pymp</a></tt> </tt>
</div><a name="L31"></a><tt class="py-lineno"> 31</tt>  <tt class="py-line">                 </tt>
<a name="L32"></a><tt class="py-lineno"> 32</tt>  <tt class="py-line">        <tt class="py-comment">#</tt> </tt>
<a name="L33"></a><tt class="py-lineno"> 33</tt>  <tt class="py-line"><tt class="py-comment"></tt>        <tt class="py-comment">#   Plays the specified target.</tt> </tt>
<a name="L34"></a><tt class="py-lineno"> 34</tt>  <tt class="py-line"><tt class="py-comment"></tt>        <tt class="py-comment">#</tt> </tt>
<a name="Mplayer.play"></a><div id="Mplayer.play-def"><a name="L35"></a><tt class="py-lineno"> 35</tt> <a class="py-toggle" href="#" id="Mplayer.play-toggle" onclick="return toggle('Mplayer.play');">-</a><tt class="py-line"><tt class="py-comment"></tt>        <tt class="py-keyword">def</tt> <a class="py-def-name" href="screenlets.plugins.Mplayer.Mplayer-class.html#play">play</a><tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">,</tt> <tt class="py-param">target</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="Mplayer.play-collapsed" style="display:none;" pad="+++" indent="++++++++++++"></div><div id="Mplayer.play-expanded"><a name="L36"></a><tt class="py-lineno"> 36</tt>  <tt class="py-line">                 </tt>
<a name="L37"></a><tt class="py-lineno"> 37</tt>  <tt class="py-line">                <tt class="py-name">mpc</tt> <tt class="py-op">=</tt> <tt class="py-string">"mplayer -slave -quiet "</tt> <tt class="py-op">+</tt> <tt class="py-name">target</tt> <tt class="py-op">+</tt> <tt class="py-string">" 2&gt;/dev/null"</tt> </tt>
<a name="L38"></a><tt class="py-lineno"> 38</tt>  <tt class="py-line">                 </tt>
<a name="L39"></a><tt class="py-lineno"> 39</tt>  <tt class="py-line">                <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-12" class="py-name"><a title="screenlets.plugins.Mplayer.Mplayer.mplayerIn" class="py-name" href="#" onclick="return doclink('link-12', 'mplayerIn', 'link-2');">mplayerIn</a></tt><tt class="py-op">,</tt> <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-13" class="py-name"><a title="screenlets.plugins.Mplayer.Mplayer.mplayerOut" class="py-name" href="#" onclick="return doclink('link-13', 'mplayerOut', 'link-3');">mplayerOut</a></tt> <tt class="py-op">=</tt> <tt class="py-name">os</tt><tt class="py-op">.</tt><tt class="py-name">popen2</tt><tt class="py-op">(</tt><tt class="py-name">mpc</tt><tt class="py-op">)</tt>  <tt class="py-comment">#open pipe</tt> </tt>
<a name="L40"></a><tt class="py-lineno"> 40</tt>  <tt class="py-line">                <tt class="py-name">fcntl</tt><tt class="py-op">.</tt><tt class="py-name">fcntl</tt><tt class="py-op">(</tt><tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-14" class="py-name"><a title="screenlets.plugins.Mplayer.Mplayer.mplayerOut" class="py-name" href="#" onclick="return doclink('link-14', 'mplayerOut', 'link-3');">mplayerOut</a></tt><tt class="py-op">,</tt> <tt class="py-name">fcntl</tt><tt class="py-op">.</tt><tt class="py-name">F_SETFL</tt><tt class="py-op">,</tt> <tt class="py-name">os</tt><tt class="py-op">.</tt><tt class="py-name">O_NONBLOCK</tt><tt class="py-op">)</tt> </tt>
<a name="L41"></a><tt class="py-lineno"> 41</tt>  <tt class="py-line"> </tt>
<a name="L42"></a><tt class="py-lineno"> 42</tt>  <tt class="py-line">                <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-15" class="py-name" targets="Method screenlets.plugins.Mplayer.Mplayer.startInputHandler()=screenlets.plugins.Mplayer.Mplayer-class.html#startInputHandler"><a title="screenlets.plugins.Mplayer.Mplayer.startInputHandler" class="py-name" href="#" onclick="return doclink('link-15', 'startInputHandler', 'link-15');">startInputHandler</a></tt><tt class="py-op">(</tt><tt class="py-op">)</tt> </tt>
<a name="L43"></a><tt class="py-lineno"> 43</tt>  <tt class="py-line">                <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-16" class="py-name" targets="Method screenlets.plugins.Mplayer.Mplayer.startEofHandler()=screenlets.plugins.Mplayer.Mplayer-class.html#startEofHandler"><a title="screenlets.plugins.Mplayer.Mplayer.startEofHandler" class="py-name" href="#" onclick="return doclink('link-16', 'startEofHandler', 'link-16');">startEofHandler</a></tt><tt class="py-op">(</tt><tt class="py-op">)</tt> </tt>
<a name="L44"></a><tt class="py-lineno"> 44</tt>  <tt class="py-line">                <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-17" class="py-name" targets="Method screenlets.plugins.Mplayer.Mplayer.startStatusQuery()=screenlets.plugins.Mplayer.Mplayer-class.html#startStatusQuery"><a title="screenlets.plugins.Mplayer.Mplayer.startStatusQuery" class="py-name" href="#" onclick="return doclink('link-17', 'startStatusQuery', 'link-17');">startStatusQuery</a></tt><tt class="py-op">(</tt><tt class="py-op">)</tt> </tt>
</div><a name="L45"></a><tt class="py-lineno"> 45</tt>  <tt class="py-line">                 </tt>
<a name="L46"></a><tt class="py-lineno"> 46</tt>  <tt class="py-line">        <tt class="py-comment">#</tt> </tt>
<a name="L47"></a><tt class="py-lineno"> 47</tt>  <tt class="py-line"><tt class="py-comment"></tt>        <tt class="py-comment">#  Issues command to mplayer.</tt> </tt>
<a name="L48"></a><tt class="py-lineno"> 48</tt>  <tt class="py-line"><tt class="py-comment"></tt>        <tt class="py-comment">#</tt> </tt>
<a name="L49"></a><tt class="py-lineno"> 49</tt>  <tt class="py-line"><tt class="py-comment"></tt> </tt>
<a name="Mplayer.record"></a><div id="Mplayer.record-def"><a name="L50"></a><tt class="py-lineno"> 50</tt> <a class="py-toggle" href="#" id="Mplayer.record-toggle" onclick="return toggle('Mplayer.record');">-</a><tt class="py-line">        <tt class="py-keyword">def</tt> <a class="py-def-name" href="screenlets.plugins.Mplayer.Mplayer-class.html#record">record</a><tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">,</tt> <tt class="py-param">target</tt><tt class="py-op">,</tt> <tt class="py-param">savefile</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="Mplayer.record-collapsed" style="display:none;" pad="+++" indent="++++++++++++"></div><div id="Mplayer.record-expanded"><a name="L51"></a><tt class="py-lineno"> 51</tt>  <tt class="py-line">                 </tt>
<a name="L52"></a><tt class="py-lineno"> 52</tt>  <tt class="py-line">                <tt class="py-name">mpc</tt> <tt class="py-op">=</tt> <tt class="py-string">"mplayer -slave -quiet "</tt> <tt class="py-op">+</tt> <tt class="py-name">target</tt> <tt class="py-op">+</tt> <tt class="py-string">" -ao pcm:file="</tt> <tt class="py-op">+</tt> <tt class="py-name">savefile</tt> </tt>
<a name="L53"></a><tt class="py-lineno"> 53</tt>  <tt class="py-line">                 </tt>
<a name="L54"></a><tt class="py-lineno"> 54</tt>  <tt class="py-line">                <tt class="py-name">self</tt><tt class="py-op">.</tt><tt class="py-name">mplayer_record_In</tt><tt class="py-op">,</tt> <tt class="py-name">self</tt><tt class="py-op">.</tt><tt class="py-name">mplayer_record_Out</tt> <tt class="py-op">=</tt> <tt class="py-name">os</tt><tt class="py-op">.</tt><tt class="py-name">popen2</tt><tt class="py-op">(</tt><tt class="py-name">mpc</tt><tt class="py-op">)</tt>  <tt class="py-comment">#open pipe</tt> </tt>
<a name="L55"></a><tt class="py-lineno"> 55</tt>  <tt class="py-line">                <tt class="py-name">fcntl</tt><tt class="py-op">.</tt><tt class="py-name">fcntl</tt><tt class="py-op">(</tt><tt class="py-name">self</tt><tt class="py-op">.</tt><tt class="py-name">mplayer_record_Out</tt><tt class="py-op">,</tt> <tt class="py-name">fcntl</tt><tt class="py-op">.</tt><tt class="py-name">F_SETFL</tt><tt class="py-op">,</tt> <tt class="py-name">os</tt><tt class="py-op">.</tt><tt class="py-name">O_NONBLOCK</tt><tt class="py-op">)</tt> </tt>
</div><a name="L56"></a><tt class="py-lineno"> 56</tt>  <tt class="py-line"> </tt>
<a name="L57"></a><tt class="py-lineno"> 57</tt>  <tt class="py-line">                 </tt>
<a name="L58"></a><tt class="py-lineno"> 58</tt>  <tt class="py-line">        <tt class="py-comment">#</tt> </tt>
<a name="L59"></a><tt class="py-lineno"> 59</tt>  <tt class="py-line"><tt class="py-comment"></tt>        <tt class="py-comment">#  Issues command to mplayer.</tt> </tt>
<a name="L60"></a><tt class="py-lineno"> 60</tt>  <tt class="py-line"><tt class="py-comment"></tt>        <tt class="py-comment">#</tt> </tt>
<a name="L61"></a><tt class="py-lineno"> 61</tt>  <tt class="py-line"><tt class="py-comment"></tt> </tt>
<a name="Mplayer.cmd"></a><div id="Mplayer.cmd-def"><a name="L62"></a><tt class="py-lineno"> 62</tt> <a class="py-toggle" href="#" id="Mplayer.cmd-toggle" onclick="return toggle('Mplayer.cmd');">-</a><tt class="py-line">        <tt class="py-keyword">def</tt> <a class="py-def-name" href="screenlets.plugins.Mplayer.Mplayer-class.html#cmd">cmd</a><tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">,</tt> <tt class="py-param">command</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="Mplayer.cmd-collapsed" style="display:none;" pad="+++" indent="++++++++++++"></div><div id="Mplayer.cmd-expanded"><a name="L63"></a><tt class="py-lineno"> 63</tt>  <tt class="py-line">                 </tt>
<a name="L64"></a><tt class="py-lineno"> 64</tt>  <tt class="py-line">                <tt class="py-keyword">if</tt> <tt class="py-keyword">not</tt> <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-18" class="py-name"><a title="screenlets.plugins.Mplayer.Mplayer.mplayerIn" class="py-name" href="#" onclick="return doclink('link-18', 'mplayerIn', 'link-2');">mplayerIn</a></tt><tt class="py-op">:</tt> </tt>
<a name="L65"></a><tt class="py-lineno"> 65</tt>  <tt class="py-line">                        <tt class="py-keyword">return</tt> </tt>
<a name="L66"></a><tt class="py-lineno"> 66</tt>  <tt class="py-line">                 </tt>
<a name="L67"></a><tt class="py-lineno"> 67</tt>  <tt class="py-line">                <tt class="py-keyword">try</tt><tt class="py-op">:</tt> </tt>
<a name="L68"></a><tt class="py-lineno"> 68</tt>  <tt class="py-line">                        <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-19" class="py-name"><a title="screenlets.plugins.Mplayer.Mplayer.mplayerIn" class="py-name" href="#" onclick="return doclink('link-19', 'mplayerIn', 'link-2');">mplayerIn</a></tt><tt class="py-op">.</tt><tt class="py-name">write</tt><tt class="py-op">(</tt><tt class="py-name">command</tt> <tt class="py-op">+</tt> <tt class="py-string">"\n"</tt><tt class="py-op">)</tt> </tt>
<a name="L69"></a><tt class="py-lineno"> 69</tt>  <tt class="py-line">                        <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-20" class="py-name"><a title="screenlets.plugins.Mplayer.Mplayer.mplayerIn" class="py-name" href="#" onclick="return doclink('link-20', 'mplayerIn', 'link-2');">mplayerIn</a></tt><tt class="py-op">.</tt><tt id="link-21" class="py-name" targets="Method screenlets.backend.CachingBackend.flush()=screenlets.backend.CachingBackend-class.html#flush,Method screenlets.backend.GconfBackend.flush()=screenlets.backend.GconfBackend-class.html#flush,Method screenlets.backend.ScreenletsBackend.flush()=screenlets.backend.ScreenletsBackend-class.html#flush"><a title="screenlets.backend.CachingBackend.flush
screenlets.backend.GconfBackend.flush
screenlets.backend.ScreenletsBackend.flush" class="py-name" href="#" onclick="return doclink('link-21', 'flush', 'link-21');">flush</a></tt><tt class="py-op">(</tt><tt class="py-op">)</tt>  <tt class="py-comment">#flush pipe</tt> </tt>
<a name="L70"></a><tt class="py-lineno"> 70</tt>  <tt class="py-line">                <tt class="py-keyword">except</tt> <tt class="py-name">StandardError</tt><tt class="py-op">:</tt> </tt>
<a name="L71"></a><tt class="py-lineno"> 71</tt>  <tt class="py-line">                        <tt class="py-keyword">return</tt> </tt>
</div><a name="L72"></a><tt class="py-lineno"> 72</tt>  <tt class="py-line">                 </tt>
<a name="L73"></a><tt class="py-lineno"> 73</tt>  <tt class="py-line">        <tt class="py-comment">#</tt> </tt>
<a name="L74"></a><tt class="py-lineno"> 74</tt>  <tt class="py-line"><tt class="py-comment"></tt>        <tt class="py-comment">#  Toggles pausing of the current mplayer job and status query.</tt> </tt>
<a name="L75"></a><tt class="py-lineno"> 75</tt>  <tt class="py-line"><tt class="py-comment"></tt>        <tt class="py-comment">#</tt> </tt>
<a name="Mplayer.pause"></a><div id="Mplayer.pause-def"><a name="L76"></a><tt class="py-lineno"> 76</tt> <a class="py-toggle" href="#" id="Mplayer.pause-toggle" onclick="return toggle('Mplayer.pause');">-</a><tt class="py-line"><tt class="py-comment"></tt>        <tt class="py-keyword">def</tt> <a class="py-def-name" href="screenlets.plugins.Mplayer.Mplayer-class.html#pause">pause</a><tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="Mplayer.pause-collapsed" style="display:none;" pad="+++" indent="++++++++++++"></div><div id="Mplayer.pause-expanded"><a name="L77"></a><tt class="py-lineno"> 77</tt>  <tt class="py-line">                <tt class="py-keyword">if</tt> <tt class="py-keyword">not</tt> <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-22" class="py-name"><a title="screenlets.plugins.Mplayer.Mplayer.mplayerIn" class="py-name" href="#" onclick="return doclink('link-22', 'mplayerIn', 'link-2');">mplayerIn</a></tt><tt class="py-op">:</tt> </tt>
<a name="L78"></a><tt class="py-lineno"> 78</tt>  <tt class="py-line">                        <tt class="py-keyword">return</tt> </tt>
<a name="L79"></a><tt class="py-lineno"> 79</tt>  <tt class="py-line">                         </tt>
<a name="L80"></a><tt class="py-lineno"> 80</tt>  <tt class="py-line">                <tt class="py-keyword">if</tt> <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-23" class="py-name"><a title="screenlets.plugins.Mplayer.Mplayer.paused" class="py-name" href="#" onclick="return doclink('link-23', 'paused', 'link-7');">paused</a></tt><tt class="py-op">:</tt>  <tt class="py-comment">#unpause</tt> </tt>
<a name="L81"></a><tt class="py-lineno"> 81</tt>  <tt class="py-line">                        <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-24" class="py-name"><a title="screenlets.plugins.Mplayer.Mplayer.startStatusQuery" class="py-name" href="#" onclick="return doclink('link-24', 'startStatusQuery', 'link-17');">startStatusQuery</a></tt><tt class="py-op">(</tt><tt class="py-op">)</tt> </tt>
<a name="L82"></a><tt class="py-lineno"> 82</tt>  <tt class="py-line">                        <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-25" class="py-name"><a title="screenlets.plugins.Mplayer.Mplayer.paused" class="py-name" href="#" onclick="return doclink('link-25', 'paused', 'link-7');">paused</a></tt> <tt class="py-op">=</tt> <tt class="py-name">False</tt> </tt>
<a name="L83"></a><tt class="py-lineno"> 83</tt>  <tt class="py-line">                         </tt>
<a name="L84"></a><tt class="py-lineno"> 84</tt>  <tt class="py-line">                <tt class="py-keyword">else</tt><tt class="py-op">:</tt>  <tt class="py-comment">#pause</tt> </tt>
<a name="L85"></a><tt class="py-lineno"> 85</tt>  <tt class="py-line">                        <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-26" class="py-name" targets="Method screenlets.plugins.Mplayer.Mplayer.stopStatusQuery()=screenlets.plugins.Mplayer.Mplayer-class.html#stopStatusQuery"><a title="screenlets.plugins.Mplayer.Mplayer.stopStatusQuery" class="py-name" href="#" onclick="return doclink('link-26', 'stopStatusQuery', 'link-26');">stopStatusQuery</a></tt><tt class="py-op">(</tt><tt class="py-op">)</tt> </tt>
<a name="L86"></a><tt class="py-lineno"> 86</tt>  <tt class="py-line">                        <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-27" class="py-name"><a title="screenlets.plugins.Mplayer.Mplayer.paused" class="py-name" href="#" onclick="return doclink('link-27', 'paused', 'link-7');">paused</a></tt> <tt class="py-op">=</tt> <tt class="py-name">True</tt> </tt>
<a name="L87"></a><tt class="py-lineno"> 87</tt>  <tt class="py-line">                         </tt>
<a name="L88"></a><tt class="py-lineno"> 88</tt>  <tt class="py-line">                <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-28" class="py-name" targets="Method screenlets.plugins.Mplayer.Mplayer.cmd()=screenlets.plugins.Mplayer.Mplayer-class.html#cmd"><a title="screenlets.plugins.Mplayer.Mplayer.cmd" class="py-name" href="#" onclick="return doclink('link-28', 'cmd', 'link-28');">cmd</a></tt><tt class="py-op">(</tt><tt class="py-string">"pause"</tt><tt class="py-op">)</tt> </tt>
</div><a name="L89"></a><tt class="py-lineno"> 89</tt>  <tt class="py-line">                 </tt>
<a name="L90"></a><tt class="py-lineno"> 90</tt>  <tt class="py-line">        <tt class="py-comment">#</tt> </tt>
<a name="L91"></a><tt class="py-lineno"> 91</tt>  <tt class="py-line"><tt class="py-comment"></tt>        <tt class="py-comment">#  Seeks the amount using the specified mode.  See mplayer docs.</tt> </tt>
<a name="L92"></a><tt class="py-lineno"> 92</tt>  <tt class="py-line"><tt class="py-comment"></tt>        <tt class="py-comment">#</tt> </tt>
<a name="Mplayer.seek"></a><div id="Mplayer.seek-def"><a name="L93"></a><tt class="py-lineno"> 93</tt> <a class="py-toggle" href="#" id="Mplayer.seek-toggle" onclick="return toggle('Mplayer.seek');">-</a><tt class="py-line"><tt class="py-comment"></tt>        <tt class="py-keyword">def</tt> <a class="py-def-name" href="screenlets.plugins.Mplayer.Mplayer-class.html#seek">seek</a><tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">,</tt> <tt class="py-param">amount</tt><tt class="py-op">,</tt> <tt class="py-param">mode</tt><tt class="py-op">=</tt><tt class="py-number">0</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="Mplayer.seek-collapsed" style="display:none;" pad="+++" indent="++++++++++++"></div><div id="Mplayer.seek-expanded"><a name="L94"></a><tt class="py-lineno"> 94</tt>  <tt class="py-line">                <tt class="py-keyword">pass</tt> </tt>
</div><a name="L95"></a><tt class="py-lineno"> 95</tt>  <tt class="py-line">         </tt>
<a name="L96"></a><tt class="py-lineno"> 96</tt>  <tt class="py-line">        <tt class="py-comment">#</tt> </tt>
<a name="L97"></a><tt class="py-lineno"> 97</tt>  <tt class="py-line"><tt class="py-comment"></tt>        <tt class="py-comment">#  Cleanly closes any IPC resources to mplayer.</tt> </tt>
<a name="L98"></a><tt class="py-lineno"> 98</tt>  <tt class="py-line"><tt class="py-comment"></tt>        <tt class="py-comment">#</tt> </tt>
<a name="Mplayer.close"></a><div id="Mplayer.close-def"><a name="L99"></a><tt class="py-lineno"> 99</tt> <a class="py-toggle" href="#" id="Mplayer.close-toggle" onclick="return toggle('Mplayer.close');">-</a><tt class="py-line"><tt class="py-comment"></tt>        <tt class="py-keyword">def</tt> <a class="py-def-name" href="screenlets.plugins.Mplayer.Mplayer-class.html#close">close</a><tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="Mplayer.close-collapsed" style="display:none;" pad="+++" indent="++++++++++++"></div><div id="Mplayer.close-expanded"><a name="L100"></a><tt class="py-lineno">100</tt>  <tt class="py-line">                <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-29" class="py-name"><a title="screenlets.plugins.Mplayer.Mplayer.stopStatusQuery" class="py-name" href="#" onclick="return doclink('link-29', 'stopStatusQuery', 'link-26');">stopStatusQuery</a></tt><tt class="py-op">(</tt><tt class="py-op">)</tt>  <tt class="py-comment">#cancel query</tt> </tt>
<a name="L101"></a><tt class="py-lineno">101</tt>  <tt class="py-line">                <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-30" class="py-name" targets="Method screenlets.plugins.Mplayer.Mplayer.stopEofHandler()=screenlets.plugins.Mplayer.Mplayer-class.html#stopEofHandler"><a title="screenlets.plugins.Mplayer.Mplayer.stopEofHandler" class="py-name" href="#" onclick="return doclink('link-30', 'stopEofHandler', 'link-30');">stopEofHandler</a></tt><tt class="py-op">(</tt><tt class="py-op">)</tt>  <tt class="py-comment">#cancel eof monitor</tt> </tt>
<a name="L102"></a><tt class="py-lineno">102</tt>  <tt class="py-line">                <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-31" class="py-name" targets="Method screenlets.plugins.Mplayer.Mplayer.stopInputHandler()=screenlets.plugins.Mplayer.Mplayer-class.html#stopInputHandler"><a title="screenlets.plugins.Mplayer.Mplayer.stopInputHandler" class="py-name" href="#" onclick="return doclink('link-31', 'stopInputHandler', 'link-31');">stopInputHandler</a></tt><tt class="py-op">(</tt><tt class="py-op">)</tt> <tt class="py-comment">#cancel input monitor</tt> </tt>
<a name="L103"></a><tt class="py-lineno">103</tt>  <tt class="py-line">                                 </tt>
<a name="L104"></a><tt class="py-lineno">104</tt>  <tt class="py-line">                <tt class="py-keyword">if</tt> <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-32" class="py-name"><a title="screenlets.plugins.Mplayer.Mplayer.paused" class="py-name" href="#" onclick="return doclink('link-32', 'paused', 'link-7');">paused</a></tt><tt class="py-op">:</tt>  <tt class="py-comment">#untoggle pause to cleanly quit</tt> </tt>
<a name="L105"></a><tt class="py-lineno">105</tt>  <tt class="py-line">                        <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-33" class="py-name" targets="Method screenlets.plugins.Mplayer.Mplayer.pause()=screenlets.plugins.Mplayer.Mplayer-class.html#pause"><a title="screenlets.plugins.Mplayer.Mplayer.pause" class="py-name" href="#" onclick="return doclink('link-33', 'pause', 'link-33');">pause</a></tt><tt class="py-op">(</tt><tt class="py-op">)</tt> </tt>
<a name="L106"></a><tt class="py-lineno">106</tt>  <tt class="py-line">                 </tt>
<a name="L107"></a><tt class="py-lineno">107</tt>  <tt class="py-line">                <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-34" class="py-name"><a title="screenlets.plugins.Mplayer.Mplayer.cmd" class="py-name" href="#" onclick="return doclink('link-34', 'cmd', 'link-28');">cmd</a></tt><tt class="py-op">(</tt><tt class="py-string">"quit"</tt><tt class="py-op">)</tt>  <tt class="py-comment">#ask mplayer to quit</tt> </tt>
<a name="L108"></a><tt class="py-lineno">108</tt>  <tt class="py-line">                 </tt>
<a name="L109"></a><tt class="py-lineno">109</tt>  <tt class="py-line">                <tt class="py-keyword">try</tt><tt class="py-op">:</tt>                     </tt>
<a name="L110"></a><tt class="py-lineno">110</tt>  <tt class="py-line">                        <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-35" class="py-name"><a title="screenlets.plugins.Mplayer.Mplayer.mplayerIn" class="py-name" href="#" onclick="return doclink('link-35', 'mplayerIn', 'link-2');">mplayerIn</a></tt><tt class="py-op">.</tt><tt id="link-36" class="py-name" targets="Method screenlets.Screenlet.close()=screenlets.Screenlet-class.html#close,Method screenlets.plugins.Mplayer.Mplayer.close()=screenlets.plugins.Mplayer.Mplayer-class.html#close,Method screenlets.utils.FileMonitor.close()=screenlets.utils.FileMonitor-class.html#close"><a title="screenlets.Screenlet.close
screenlets.plugins.Mplayer.Mplayer.close
screenlets.utils.FileMonitor.close" class="py-name" href="#" onclick="return doclink('link-36', 'close', 'link-36');">close</a></tt><tt class="py-op">(</tt><tt class="py-op">)</tt>   <tt class="py-comment">#close pipes</tt> </tt>
<a name="L111"></a><tt class="py-lineno">111</tt>  <tt class="py-line">                        <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-37" class="py-name"><a title="screenlets.plugins.Mplayer.Mplayer.mplayerOut" class="py-name" href="#" onclick="return doclink('link-37', 'mplayerOut', 'link-3');">mplayerOut</a></tt><tt class="py-op">.</tt><tt id="link-38" class="py-name"><a title="screenlets.Screenlet.close
screenlets.plugins.Mplayer.Mplayer.close
screenlets.utils.FileMonitor.close" class="py-name" href="#" onclick="return doclink('link-38', 'close', 'link-36');">close</a></tt><tt class="py-op">(</tt><tt class="py-op">)</tt> </tt>
<a name="L112"></a><tt class="py-lineno">112</tt>  <tt class="py-line">                <tt class="py-keyword">except</tt> <tt class="py-name">StandardError</tt><tt class="py-op">:</tt> </tt>
<a name="L113"></a><tt class="py-lineno">113</tt>  <tt class="py-line">                        <tt class="py-keyword">pass</tt> </tt>
<a name="L114"></a><tt class="py-lineno">114</tt>  <tt class="py-line">                         </tt>
<a name="L115"></a><tt class="py-lineno">115</tt>  <tt class="py-line">                <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-39" class="py-name"><a title="screenlets.plugins.Mplayer.Mplayer.mplayerIn" class="py-name" href="#" onclick="return doclink('link-39', 'mplayerIn', 'link-2');">mplayerIn</a></tt><tt class="py-op">,</tt> <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-40" class="py-name"><a title="screenlets.plugins.Mplayer.Mplayer.mplayerOut" class="py-name" href="#" onclick="return doclink('link-40', 'mplayerOut', 'link-3');">mplayerOut</a></tt> <tt class="py-op">=</tt> <tt class="py-name">None</tt><tt class="py-op">,</tt> <tt class="py-name">None</tt> </tt>
<a name="L116"></a><tt class="py-lineno">116</tt>  <tt class="py-line">                <tt class="py-comment">#self.pymp.control.setProgress(-1)  #reset bar</tt> </tt>
<a name="L117"></a><tt class="py-lineno">117</tt>  <tt class="py-line"><tt class="py-comment"></tt>        def close_record(self): </tt>
<a name="L118"></a><tt class="py-lineno">118</tt>  <tt class="py-line"> </tt>
<a name="L119"></a><tt class="py-lineno">119</tt>  <tt class="py-line">                <tt class="py-keyword">try</tt><tt class="py-op">:</tt> </tt>
<a name="L120"></a><tt class="py-lineno">120</tt>  <tt class="py-line">                        <tt class="py-name">self</tt><tt class="py-op">.</tt><tt class="py-name">mplayer_record_In</tt><tt class="py-op">.</tt><tt class="py-name">write</tt><tt class="py-op">(</tt><tt class="py-string">"quit\n"</tt><tt class="py-op">)</tt> </tt>
<a name="L121"></a><tt class="py-lineno">121</tt>  <tt class="py-line">                        <tt class="py-name">self</tt><tt class="py-op">.</tt><tt class="py-name">mplayer_record_In</tt><tt class="py-op">.</tt><tt id="link-41" class="py-name"><a title="screenlets.backend.CachingBackend.flush
screenlets.backend.GconfBackend.flush
screenlets.backend.ScreenletsBackend.flush" class="py-name" href="#" onclick="return doclink('link-41', 'flush', 'link-21');">flush</a></tt><tt class="py-op">(</tt><tt class="py-op">)</tt>  <tt class="py-comment">#flush pipe</tt> </tt>
<a name="L122"></a><tt class="py-lineno">122</tt>  <tt class="py-line">                <tt class="py-keyword">except</tt> <tt class="py-name">StandardError</tt><tt class="py-op">:</tt> </tt>
<a name="L123"></a><tt class="py-lineno">123</tt>  <tt class="py-line">                        <tt class="py-keyword">return</tt>                   </tt>
<a name="L124"></a><tt class="py-lineno">124</tt>  <tt class="py-line"> </tt>
<a name="L125"></a><tt class="py-lineno">125</tt>  <tt class="py-line">                <tt class="py-comment">#self.cmd("quit")  #ask mplayer to quit</tt> </tt>
<a name="L126"></a><tt class="py-lineno">126</tt>  <tt class="py-line"><tt class="py-comment"></tt>                 </tt>
<a name="L127"></a><tt class="py-lineno">127</tt>  <tt class="py-line">                <tt class="py-keyword">try</tt><tt class="py-op">:</tt>                     </tt>
<a name="L128"></a><tt class="py-lineno">128</tt>  <tt class="py-line"> </tt>
<a name="L129"></a><tt class="py-lineno">129</tt>  <tt class="py-line">                        <tt class="py-name">self</tt><tt class="py-op">.</tt><tt class="py-name">mplayer_record_In</tt><tt class="py-op">.</tt><tt id="link-42" class="py-name"><a title="screenlets.Screenlet.close
screenlets.plugins.Mplayer.Mplayer.close
screenlets.utils.FileMonitor.close" class="py-name" href="#" onclick="return doclink('link-42', 'close', 'link-36');">close</a></tt><tt class="py-op">(</tt><tt class="py-op">)</tt>   <tt class="py-comment">#close pipes_record_</tt> </tt>
<a name="L130"></a><tt class="py-lineno">130</tt>  <tt class="py-line">                        <tt class="py-name">self</tt><tt class="py-op">.</tt><tt class="py-name">mplayer_record_Out</tt><tt class="py-op">.</tt><tt id="link-43" class="py-name"><a title="screenlets.Screenlet.close
screenlets.plugins.Mplayer.Mplayer.close
screenlets.utils.FileMonitor.close" class="py-name" href="#" onclick="return doclink('link-43', 'close', 'link-36');">close</a></tt><tt class="py-op">(</tt><tt class="py-op">)</tt> </tt>
<a name="L131"></a><tt class="py-lineno">131</tt>  <tt class="py-line">                <tt class="py-keyword">except</tt> <tt class="py-name">StandardError</tt><tt class="py-op">:</tt> </tt>
<a name="L132"></a><tt class="py-lineno">132</tt>  <tt class="py-line">                        <tt class="py-keyword">pass</tt> </tt>
<a name="L133"></a><tt class="py-lineno">133</tt>  <tt class="py-line">                         </tt>
<a name="L134"></a><tt class="py-lineno">134</tt>  <tt class="py-line">                <tt class="py-name">self</tt><tt class="py-op">.</tt><tt class="py-name">mplayer_record_In</tt><tt class="py-op">,</tt> <tt class="py-name">self</tt><tt class="py-op">.</tt><tt class="py-name">mplayer_record_Out</tt> <tt class="py-op">=</tt> <tt class="py-name">None</tt><tt class="py-op">,</tt> <tt class="py-name">None</tt> </tt>
</div><a name="L135"></a><tt class="py-lineno">135</tt>  <tt class="py-line">        <tt class="py-comment">#</tt> </tt>
<a name="L136"></a><tt class="py-lineno">136</tt>  <tt class="py-line"><tt class="py-comment"></tt>        <tt class="py-comment">#  Triggered when mplayer's stdout reaches EOF.</tt> </tt>
<a name="L137"></a><tt class="py-lineno">137</tt>  <tt class="py-line"><tt class="py-comment"></tt>        <tt class="py-comment">#</tt> </tt>
<a name="Mplayer.handleEof"></a><div id="Mplayer.handleEof-def"><a name="L138"></a><tt class="py-lineno">138</tt> <a class="py-toggle" href="#" id="Mplayer.handleEof-toggle" onclick="return toggle('Mplayer.handleEof');">-</a><tt class="py-line"><tt class="py-comment"></tt>        <tt class="py-keyword">def</tt> <a class="py-def-name" href="screenlets.plugins.Mplayer.Mplayer-class.html#handleEof">handleEof</a><tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">,</tt> <tt class="py-param">source</tt><tt class="py-op">,</tt> <tt class="py-param">condition</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="Mplayer.handleEof-collapsed" style="display:none;" pad="+++" indent="++++++++++++"></div><div id="Mplayer.handleEof-expanded"><a name="L139"></a><tt class="py-lineno">139</tt>  <tt class="py-line">                 </tt>
<a name="L140"></a><tt class="py-lineno">140</tt>  <tt class="py-line">                <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-44" class="py-name"><a title="screenlets.plugins.Mplayer.Mplayer.stopStatusQuery" class="py-name" href="#" onclick="return doclink('link-44', 'stopStatusQuery', 'link-26');">stopStatusQuery</a></tt><tt class="py-op">(</tt><tt class="py-op">)</tt>  <tt class="py-comment">#cancel query</tt> </tt>
<a name="L141"></a><tt class="py-lineno">141</tt>  <tt class="py-line">                 </tt>
<a name="L142"></a><tt class="py-lineno">142</tt>  <tt class="py-line">                <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-45" class="py-name"><a title="screenlets.plugins.Mplayer.Mplayer.mplayerIn" class="py-name" href="#" onclick="return doclink('link-45', 'mplayerIn', 'link-2');">mplayerIn</a></tt><tt class="py-op">,</tt> <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-46" class="py-name"><a title="screenlets.plugins.Mplayer.Mplayer.mplayerOut" class="py-name" href="#" onclick="return doclink('link-46', 'mplayerOut', 'link-3');">mplayerOut</a></tt> <tt class="py-op">=</tt> <tt class="py-name">None</tt><tt class="py-op">,</tt> <tt class="py-name">None</tt> </tt>
<a name="L143"></a><tt class="py-lineno">143</tt>  <tt class="py-line">                 </tt>
<a name="L144"></a><tt class="py-lineno">144</tt>  <tt class="py-line">        <tt class="py-comment">#       if self.pymp.playlist.continuous:  #play next target</tt> </tt>
<a name="L145"></a><tt class="py-lineno">145</tt>  <tt class="py-line"><tt class="py-comment"></tt>        <tt class="py-comment">#               self.pymp.playlist.next(None, None)</tt> </tt>
<a name="L146"></a><tt class="py-lineno">146</tt>  <tt class="py-line"><tt class="py-comment"></tt>        <tt class="py-comment">#       else:  #reset progress bar</tt> </tt>
<a name="L147"></a><tt class="py-lineno">147</tt>  <tt class="py-line"><tt class="py-comment"></tt>        <tt class="py-comment">#               self.pymp.control.setProgress(-1)</tt> </tt>
<a name="L148"></a><tt class="py-lineno">148</tt>  <tt class="py-line"><tt class="py-comment"></tt>                         </tt>
<a name="L149"></a><tt class="py-lineno">149</tt>  <tt class="py-line">                <tt class="py-keyword">return</tt> <tt class="py-name">False</tt> </tt>
</div><a name="L150"></a><tt class="py-lineno">150</tt>  <tt class="py-line">         </tt>
<a name="L151"></a><tt class="py-lineno">151</tt>  <tt class="py-line">        <tt class="py-comment">#</tt> </tt>
<a name="L152"></a><tt class="py-lineno">152</tt>  <tt class="py-line"><tt class="py-comment"></tt>        <tt class="py-comment">#  Triggered when mplayer's stdout reaches EOF.</tt> </tt>
<a name="L153"></a><tt class="py-lineno">153</tt>  <tt class="py-line"><tt class="py-comment"></tt>        <tt class="py-comment">#</tt> </tt>
<a name="Mplayer.handleInput"></a><div id="Mplayer.handleInput-def"><a name="L154"></a><tt class="py-lineno">154</tt> <a class="py-toggle" href="#" id="Mplayer.handleInput-toggle" onclick="return toggle('Mplayer.handleInput');">-</a><tt class="py-line"><tt class="py-comment"></tt>        <tt class="py-keyword">def</tt> <a class="py-def-name" href="screenlets.plugins.Mplayer.Mplayer-class.html#handleInput">handleInput</a><tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">,</tt> <tt class="py-param">source</tt><tt class="py-op">,</tt> <tt class="py-param">condition</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="Mplayer.handleInput-collapsed" style="display:none;" pad="+++" indent="++++++++++++"></div><div id="Mplayer.handleInput-expanded"><a name="L155"></a><tt class="py-lineno">155</tt>  <tt class="py-line">                <tt class="py-keyword">try</tt><tt class="py-op">:</tt> </tt>
<a name="L156"></a><tt class="py-lineno">156</tt>  <tt class="py-line">                    <tt class="py-keyword">for</tt> <tt class="py-name">line</tt> <tt class="py-keyword">in</tt> <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-47" class="py-name"><a title="screenlets.plugins.Mplayer.Mplayer.mplayerOut" class="py-name" href="#" onclick="return doclink('link-47', 'mplayerOut', 'link-3');">mplayerOut</a></tt><tt class="py-op">:</tt> </tt>
<a name="L157"></a><tt class="py-lineno">157</tt>  <tt class="py-line">                        <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-48" class="py-name" targets="Method screenlets.plugins.Mplayer.Mplayer.lookForStreamTitle()=screenlets.plugins.Mplayer.Mplayer-class.html#lookForStreamTitle"><a title="screenlets.plugins.Mplayer.Mplayer.lookForStreamTitle" class="py-name" href="#" onclick="return doclink('link-48', 'lookForStreamTitle', 'link-48');">lookForStreamTitle</a></tt><tt class="py-op">(</tt><tt class="py-name">line</tt><tt class="py-op">)</tt> </tt>
<a name="L158"></a><tt class="py-lineno">158</tt>  <tt class="py-line">                <tt class="py-keyword">finally</tt><tt class="py-op">:</tt> </tt>
<a name="L159"></a><tt class="py-lineno">159</tt>  <tt class="py-line">                        <tt class="py-keyword">return</tt> <tt class="py-name">True</tt> </tt>
</div><a name="L160"></a><tt class="py-lineno">160</tt>  <tt class="py-line">         </tt>
<a name="L161"></a><tt class="py-lineno">161</tt>  <tt class="py-line">        <tt class="py-comment">#</tt> </tt>
<a name="L162"></a><tt class="py-lineno">162</tt>  <tt class="py-line"><tt class="py-comment"></tt>        <tt class="py-comment">#  Triggered when mplayer prints something stdout.</tt> </tt>
<a name="L163"></a><tt class="py-lineno">163</tt>  <tt class="py-line"><tt class="py-comment"></tt>        <tt class="py-comment">#</tt> </tt>
<a name="Mplayer.lookForStreamTitle"></a><div id="Mplayer.lookForStreamTitle-def"><a name="L164"></a><tt class="py-lineno">164</tt> <a class="py-toggle" href="#" id="Mplayer.lookForStreamTitle-toggle" onclick="return toggle('Mplayer.lookForStreamTitle');">-</a><tt class="py-line"><tt class="py-comment"></tt>        <tt class="py-keyword">def</tt> <a class="py-def-name" href="screenlets.plugins.Mplayer.Mplayer-class.html#lookForStreamTitle">lookForStreamTitle</a><tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">,</tt> <tt class="py-param">line</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="Mplayer.lookForStreamTitle-collapsed" style="display:none;" pad="+++" indent="++++++++++++"></div><div id="Mplayer.lookForStreamTitle-expanded"><a name="L165"></a><tt class="py-lineno">165</tt>  <tt class="py-line">                <tt class="py-name">matches</tt> <tt class="py-op">=</tt> <tt class="py-name">re</tt><tt class="py-op">.</tt><tt id="link-49" class="py-name" targets="Method screenlets.plugins.AmazonCoverArtSearch.AmazonCoverArtSearch.search()=screenlets.plugins.AmazonCoverArtSearch.AmazonCoverArtSearch-class.html#search"><a title="screenlets.plugins.AmazonCoverArtSearch.AmazonCoverArtSearch.search" class="py-name" href="#" onclick="return doclink('link-49', 'search', 'link-49');">search</a></tt><tt class="py-op">(</tt><tt class="py-string">"(?&lt;=StreamTitle=\')(.*)(\';StreamUrl=)"</tt><tt class="py-op">,</tt> <tt class="py-name">line</tt><tt class="py-op">)</tt> </tt>
<a name="L166"></a><tt class="py-lineno">166</tt>  <tt class="py-line">                <tt class="py-keyword">if</tt> <tt class="py-name">matches</tt><tt class="py-op">:</tt> </tt>
<a name="L167"></a><tt class="py-lineno">167</tt>  <tt class="py-line">                        <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-50" class="py-name"><a title="screenlets.plugins.Mplayer.Mplayer.streamTitle" class="py-name" href="#" onclick="return doclink('link-50', 'streamTitle', 'link-8');">streamTitle</a></tt> <tt class="py-op">=</tt> <tt class="py-name">matches</tt><tt class="py-op">.</tt><tt class="py-name">group</tt><tt class="py-op">(</tt><tt class="py-number">1</tt><tt class="py-op">)</tt> </tt>
<a name="L168"></a><tt class="py-lineno">168</tt>  <tt class="py-line">                        <tt class="py-keyword">for</tt> <tt class="py-name">listener</tt> <tt class="py-keyword">in</tt> <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-51" class="py-name"><a title="screenlets.plugins.Mplayer.Mplayer.streamTitleChangeListeners" class="py-name" href="#" onclick="return doclink('link-51', 'streamTitleChangeListeners', 'link-9');">streamTitleChangeListeners</a></tt><tt class="py-op">:</tt> </tt>
<a name="L169"></a><tt class="py-lineno">169</tt>  <tt class="py-line">                                <tt class="py-name">keepListener</tt> <tt class="py-op">=</tt> <tt class="py-name">listener</tt><tt class="py-op">(</tt><tt class="py-name">self</tt><tt class="py-op">,</tt> <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-52" class="py-name"><a title="screenlets.plugins.Mplayer.Mplayer.streamTitle" class="py-name" href="#" onclick="return doclink('link-52', 'streamTitle', 'link-8');">streamTitle</a></tt><tt class="py-op">)</tt> </tt>
<a name="L170"></a><tt class="py-lineno">170</tt>  <tt class="py-line">                                <tt class="py-keyword">if</tt> <tt class="py-keyword">not</tt> <tt class="py-name">keepListener</tt><tt class="py-op">:</tt> </tt>
<a name="L171"></a><tt class="py-lineno">171</tt>  <tt class="py-line">                                        <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-53" class="py-name"><a title="screenlets.plugins.Mplayer.Mplayer.streamTitleChangeListeners" class="py-name" href="#" onclick="return doclink('link-53', 'streamTitleChangeListeners', 'link-9');">streamTitleChangeListeners</a></tt><tt class="py-op">.</tt><tt class="py-name">remove</tt><tt class="py-op">(</tt><tt class="py-name">listener</tt><tt class="py-op">)</tt> </tt>
</div><a name="L172"></a><tt class="py-lineno">172</tt>  <tt class="py-line">         </tt>
<a name="L173"></a><tt class="py-lineno">173</tt>  <tt class="py-line">        <tt class="py-comment">#</tt> </tt>
<a name="L174"></a><tt class="py-lineno">174</tt>  <tt class="py-line"><tt class="py-comment"></tt>        <tt class="py-comment">#  Queries mplayer's playback status and upates the progress bar.</tt> </tt>
<a name="L175"></a><tt class="py-lineno">175</tt>  <tt class="py-line"><tt class="py-comment"></tt>        <tt class="py-comment">#</tt> </tt>
<a name="Mplayer.queryStatus"></a><div id="Mplayer.queryStatus-def"><a name="L176"></a><tt class="py-lineno">176</tt> <a class="py-toggle" href="#" id="Mplayer.queryStatus-toggle" onclick="return toggle('Mplayer.queryStatus');">-</a><tt class="py-line"><tt class="py-comment"></tt>        <tt class="py-keyword">def</tt> <a class="py-def-name" href="screenlets.plugins.Mplayer.Mplayer-class.html#queryStatus">queryStatus</a><tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="Mplayer.queryStatus-collapsed" style="display:none;" pad="+++" indent="++++++++++++"></div><div id="Mplayer.queryStatus-expanded"><a name="L177"></a><tt class="py-lineno">177</tt>  <tt class="py-line">                 </tt>
<a name="L178"></a><tt class="py-lineno">178</tt>  <tt class="py-line">                <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-54" class="py-name"><a title="screenlets.plugins.Mplayer.Mplayer.cmd" class="py-name" href="#" onclick="return doclink('link-54', 'cmd', 'link-28');">cmd</a></tt><tt class="py-op">(</tt><tt class="py-string">"get_percent_pos"</tt><tt class="py-op">)</tt>  <tt class="py-comment">#submit status query</tt> </tt>
<a name="L179"></a><tt class="py-lineno">179</tt>  <tt class="py-line">                <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-55" class="py-name"><a title="screenlets.plugins.Mplayer.Mplayer.cmd" class="py-name" href="#" onclick="return doclink('link-55', 'cmd', 'link-28');">cmd</a></tt><tt class="py-op">(</tt><tt class="py-string">"get_time_pos"</tt><tt class="py-op">)</tt> </tt>
<a name="L180"></a><tt class="py-lineno">180</tt>  <tt class="py-line">                 </tt>
<a name="L181"></a><tt class="py-lineno">181</tt>  <tt class="py-line">                <tt class="py-name">time</tt><tt class="py-op">.</tt><tt class="py-name">sleep</tt><tt class="py-op">(</tt><tt class="py-number">0.05</tt><tt class="py-op">)</tt>  <tt class="py-comment">#allow time for output</tt> </tt>
<a name="L182"></a><tt class="py-lineno">182</tt>  <tt class="py-line">                 </tt>
<a name="L183"></a><tt class="py-lineno">183</tt>  <tt class="py-line">                <tt class="py-name">line</tt><tt class="py-op">,</tt> <tt class="py-name">percent</tt><tt class="py-op">,</tt> <tt class="py-name">seconds</tt> <tt class="py-op">=</tt> <tt class="py-name">None</tt><tt class="py-op">,</tt> <tt class="py-op">-</tt><tt class="py-number">1</tt><tt class="py-op">,</tt> <tt class="py-op">-</tt><tt class="py-number">1</tt> </tt>
<a name="L184"></a><tt class="py-lineno">184</tt>  <tt class="py-line">                 </tt>
<a name="L185"></a><tt class="py-lineno">185</tt>  <tt class="py-line">                <tt class="py-keyword">while</tt> <tt class="py-name">True</tt><tt class="py-op">:</tt> </tt>
<a name="L186"></a><tt class="py-lineno">186</tt>  <tt class="py-line">                        <tt class="py-keyword">try</tt><tt class="py-op">:</tt>  <tt class="py-comment">#attempt to fetch last line of output</tt> </tt>
<a name="L187"></a><tt class="py-lineno">187</tt>  <tt class="py-line">                                <tt class="py-name">line</tt> <tt class="py-op">=</tt> <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-56" class="py-name"><a title="screenlets.plugins.Mplayer.Mplayer.mplayerOut" class="py-name" href="#" onclick="return doclink('link-56', 'mplayerOut', 'link-3');">mplayerOut</a></tt><tt class="py-op">.</tt><tt class="py-name">readline</tt><tt class="py-op">(</tt><tt class="py-op">)</tt> </tt>
<a name="L188"></a><tt class="py-lineno">188</tt>  <tt class="py-line">                        <tt class="py-keyword">except</tt> <tt class="py-name">StandardError</tt><tt class="py-op">,</tt> <tt class="py-name">detail</tt><tt class="py-op">:</tt> </tt>
<a name="L189"></a><tt class="py-lineno">189</tt>  <tt class="py-line">                                <tt class="py-keyword">break</tt> </tt>
<a name="L190"></a><tt class="py-lineno">190</tt>  <tt class="py-line">                                 </tt>
<a name="L191"></a><tt class="py-lineno">191</tt>  <tt class="py-line">                        <tt class="py-keyword">if</tt> <tt class="py-keyword">not</tt> <tt class="py-name">line</tt><tt class="py-op">:</tt> <tt class="py-keyword">break</tt> </tt>
<a name="L192"></a><tt class="py-lineno">192</tt>  <tt class="py-line">                         </tt>
<a name="L193"></a><tt class="py-lineno">193</tt>  <tt class="py-line">                        <tt class="py-keyword">if</tt> <tt class="py-name">line</tt><tt class="py-op">.</tt><tt class="py-name">startswith</tt><tt class="py-op">(</tt><tt class="py-string">"ANS_PERCENT_POSITION"</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
<a name="L194"></a><tt class="py-lineno">194</tt>  <tt class="py-line">                                <tt class="py-name">percent</tt> <tt class="py-op">=</tt> <tt class="py-name">int</tt><tt class="py-op">(</tt><tt class="py-name">line</tt><tt class="py-op">.</tt><tt id="link-57" class="py-name" targets="Variable screenlets.plugins.Convert.Converter.replace=screenlets.plugins.Convert.Converter-class.html#replace"><a title="screenlets.plugins.Convert.Converter.replace" class="py-name" href="#" onclick="return doclink('link-57', 'replace', 'link-57');">replace</a></tt><tt class="py-op">(</tt><tt class="py-string">"ANS_PERCENT_POSITION="</tt><tt class="py-op">,</tt> <tt class="py-string">""</tt><tt class="py-op">)</tt><tt class="py-op">)</tt> </tt>
<a name="L195"></a><tt class="py-lineno">195</tt>  <tt class="py-line">                         </tt>
<a name="L196"></a><tt class="py-lineno">196</tt>  <tt class="py-line">                        <tt class="py-keyword">if</tt> <tt class="py-name">line</tt><tt class="py-op">.</tt><tt class="py-name">startswith</tt><tt class="py-op">(</tt><tt class="py-string">"ANS_TIME_POSITION"</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
<a name="L197"></a><tt class="py-lineno">197</tt>  <tt class="py-line">                                <tt class="py-name">seconds</tt> <tt class="py-op">=</tt> <tt class="py-name">float</tt><tt class="py-op">(</tt><tt class="py-name">line</tt><tt class="py-op">.</tt><tt id="link-58" class="py-name"><a title="screenlets.plugins.Convert.Converter.replace" class="py-name" href="#" onclick="return doclink('link-58', 'replace', 'link-57');">replace</a></tt><tt class="py-op">(</tt><tt class="py-string">"ANS_TIME_POSITION="</tt><tt class="py-op">,</tt> <tt class="py-string">""</tt><tt class="py-op">)</tt><tt class="py-op">)</tt> </tt>
<a name="L198"></a><tt class="py-lineno">198</tt>  <tt class="py-line">                 </tt>
<a name="L199"></a><tt class="py-lineno">199</tt>  <tt class="py-line">                <tt class="py-comment">#self.pymp.control.setProgress(percent, seconds)</tt> </tt>
<a name="L200"></a><tt class="py-lineno">200</tt>  <tt class="py-line"><tt class="py-comment"></tt>                <tt class="py-keyword">return</tt> <tt class="py-name">True</tt> </tt>
</div><a name="L201"></a><tt class="py-lineno">201</tt>  <tt class="py-line">                 </tt>
<a name="L202"></a><tt class="py-lineno">202</tt>  <tt class="py-line">        <tt class="py-comment">#</tt> </tt>
<a name="L203"></a><tt class="py-lineno">203</tt>  <tt class="py-line"><tt class="py-comment"></tt>        <tt class="py-comment">#  Add a listener that will be called every time a change in stream title is detected.</tt> </tt>
<a name="L204"></a><tt class="py-lineno">204</tt>  <tt class="py-line"><tt class="py-comment"></tt>        <tt class="py-comment">#  The signature of the callback should be:</tt> </tt>
<a name="L205"></a><tt class="py-lineno">205</tt>  <tt class="py-line"><tt class="py-comment"></tt>        <tt class="py-comment">#       def callback(source, newStreamTitle)</tt> </tt>
<a name="L206"></a><tt class="py-lineno">206</tt>  <tt class="py-line"><tt class="py-comment"></tt>        <tt class="py-comment">#</tt> </tt>
<a name="Mplayer.addStreamTitleChangeListener"></a><div id="Mplayer.addStreamTitleChangeListener-def"><a name="L207"></a><tt class="py-lineno">207</tt> <a class="py-toggle" href="#" id="Mplayer.addStreamTitleChangeListener-toggle" onclick="return toggle('Mplayer.addStreamTitleChangeListener');">-</a><tt class="py-line"><tt class="py-comment"></tt>        <tt class="py-keyword">def</tt> <a class="py-def-name" href="screenlets.plugins.Mplayer.Mplayer-class.html#addStreamTitleChangeListener">addStreamTitleChangeListener</a><tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">,</tt> <tt class="py-param">callback</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="Mplayer.addStreamTitleChangeListener-collapsed" style="display:none;" pad="+++" indent="++++++++++++"></div><div id="Mplayer.addStreamTitleChangeListener-expanded"><a name="L208"></a><tt class="py-lineno">208</tt>  <tt class="py-line">                <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-59" class="py-name"><a title="screenlets.plugins.Mplayer.Mplayer.streamTitleChangeListeners" class="py-name" href="#" onclick="return doclink('link-59', 'streamTitleChangeListeners', 'link-9');">streamTitleChangeListeners</a></tt><tt class="py-op">.</tt><tt class="py-name">append</tt><tt class="py-op">(</tt><tt class="py-name">callback</tt><tt class="py-op">)</tt> </tt>
</div><a name="L209"></a><tt class="py-lineno">209</tt>  <tt class="py-line">         </tt>
<a name="L210"></a><tt class="py-lineno">210</tt>  <tt class="py-line">        <tt class="py-comment">#</tt> </tt>
<a name="L211"></a><tt class="py-lineno">211</tt>  <tt class="py-line"><tt class="py-comment"></tt>        <tt class="py-comment">#  Removes a stream title change listener.</tt> </tt>
<a name="L212"></a><tt class="py-lineno">212</tt>  <tt class="py-line"><tt class="py-comment"></tt>        <tt class="py-comment">#</tt> </tt>
<a name="Mplayer.removeStreamTitleChangeListener"></a><div id="Mplayer.removeStreamTitleChangeListener-def"><a name="L213"></a><tt class="py-lineno">213</tt> <a class="py-toggle" href="#" id="Mplayer.removeStreamTitleChangeListener-toggle" onclick="return toggle('Mplayer.removeStreamTitleChangeListener');">-</a><tt class="py-line"><tt class="py-comment"></tt>        <tt class="py-keyword">def</tt> <a class="py-def-name" href="screenlets.plugins.Mplayer.Mplayer-class.html#removeStreamTitleChangeListener">removeStreamTitleChangeListener</a><tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">,</tt> <tt class="py-param">callback</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="Mplayer.removeStreamTitleChangeListener-collapsed" style="display:none;" pad="+++" indent="++++++++++++"></div><div id="Mplayer.removeStreamTitleChangeListener-expanded"><a name="L214"></a><tt class="py-lineno">214</tt>  <tt class="py-line">                <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-60" class="py-name"><a title="screenlets.plugins.Mplayer.Mplayer.streamTitleChangeListeners" class="py-name" href="#" onclick="return doclink('link-60', 'streamTitleChangeListeners', 'link-9');">streamTitleChangeListeners</a></tt><tt class="py-op">.</tt><tt class="py-name">remove</tt><tt class="py-op">(</tt><tt class="py-name">callback</tt><tt class="py-op">)</tt> </tt>
</div><a name="L215"></a><tt class="py-lineno">215</tt>  <tt class="py-line">         </tt>
<a name="L216"></a><tt class="py-lineno">216</tt>  <tt class="py-line">        <tt class="py-comment">#</tt> </tt>
<a name="L217"></a><tt class="py-lineno">217</tt>  <tt class="py-line"><tt class="py-comment"></tt>        <tt class="py-comment">#  Inserts the status query monitor.</tt> </tt>
<a name="L218"></a><tt class="py-lineno">218</tt>  <tt class="py-line"><tt class="py-comment"></tt>        <tt class="py-comment">#</tt> </tt>
<a name="Mplayer.startStatusQuery"></a><div id="Mplayer.startStatusQuery-def"><a name="L219"></a><tt class="py-lineno">219</tt> <a class="py-toggle" href="#" id="Mplayer.startStatusQuery-toggle" onclick="return toggle('Mplayer.startStatusQuery');">-</a><tt class="py-line"><tt class="py-comment"></tt>        <tt class="py-keyword">def</tt> <a class="py-def-name" href="screenlets.plugins.Mplayer.Mplayer-class.html#startStatusQuery">startStatusQuery</a><tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="Mplayer.startStatusQuery-collapsed" style="display:none;" pad="+++" indent="++++++++++++"></div><div id="Mplayer.startStatusQuery-expanded"><a name="L220"></a><tt class="py-lineno">220</tt>  <tt class="py-line">                <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-61" class="py-name"><a title="screenlets.plugins.Mplayer.Mplayer.statusQuery" class="py-name" href="#" onclick="return doclink('link-61', 'statusQuery', 'link-6');">statusQuery</a></tt> <tt class="py-op">=</tt> <tt class="py-name">gobject</tt><tt class="py-op">.</tt><tt class="py-name">timeout_add</tt><tt class="py-op">(</tt><tt id="link-62" class="py-name"><a title="screenlets.plugins.Mplayer.STATUS_TIMEOUT" class="py-name" href="#" onclick="return doclink('link-62', 'STATUS_TIMEOUT', 'link-0');">STATUS_TIMEOUT</a></tt><tt class="py-op">,</tt> <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-63" class="py-name" targets="Method screenlets.plugins.Mplayer.Mplayer.queryStatus()=screenlets.plugins.Mplayer.Mplayer-class.html#queryStatus"><a title="screenlets.plugins.Mplayer.Mplayer.queryStatus" class="py-name" href="#" onclick="return doclink('link-63', 'queryStatus', 'link-63');">queryStatus</a></tt><tt class="py-op">)</tt> </tt>
</div><a name="L221"></a><tt class="py-lineno">221</tt>  <tt class="py-line">                 </tt>
<a name="L222"></a><tt class="py-lineno">222</tt>  <tt class="py-line">        <tt class="py-comment">#</tt> </tt>
<a name="L223"></a><tt class="py-lineno">223</tt>  <tt class="py-line"><tt class="py-comment"></tt>        <tt class="py-comment">#  Removes the status query monitor.</tt> </tt>
<a name="L224"></a><tt class="py-lineno">224</tt>  <tt class="py-line"><tt class="py-comment"></tt>        <tt class="py-comment">#</tt> </tt>
<a name="Mplayer.stopStatusQuery"></a><div id="Mplayer.stopStatusQuery-def"><a name="L225"></a><tt class="py-lineno">225</tt> <a class="py-toggle" href="#" id="Mplayer.stopStatusQuery-toggle" onclick="return toggle('Mplayer.stopStatusQuery');">-</a><tt class="py-line"><tt class="py-comment"></tt>        <tt class="py-keyword">def</tt> <a class="py-def-name" href="screenlets.plugins.Mplayer.Mplayer-class.html#stopStatusQuery">stopStatusQuery</a><tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="Mplayer.stopStatusQuery-collapsed" style="display:none;" pad="+++" indent="++++++++++++"></div><div id="Mplayer.stopStatusQuery-expanded"><a name="L226"></a><tt class="py-lineno">226</tt>  <tt class="py-line">                <tt class="py-keyword">if</tt> <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-64" class="py-name"><a title="screenlets.plugins.Mplayer.Mplayer.statusQuery" class="py-name" href="#" onclick="return doclink('link-64', 'statusQuery', 'link-6');">statusQuery</a></tt><tt class="py-op">:</tt> </tt>
<a name="L227"></a><tt class="py-lineno">227</tt>  <tt class="py-line">                        <tt class="py-name">gobject</tt><tt class="py-op">.</tt><tt class="py-name">source_remove</tt><tt class="py-op">(</tt><tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-65" class="py-name"><a title="screenlets.plugins.Mplayer.Mplayer.statusQuery" class="py-name" href="#" onclick="return doclink('link-65', 'statusQuery', 'link-6');">statusQuery</a></tt><tt class="py-op">)</tt> </tt>
<a name="L228"></a><tt class="py-lineno">228</tt>  <tt class="py-line">                <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-66" class="py-name"><a title="screenlets.plugins.Mplayer.Mplayer.statusQuery" class="py-name" href="#" onclick="return doclink('link-66', 'statusQuery', 'link-6');">statusQuery</a></tt> <tt class="py-op">=</tt> <tt class="py-number">0</tt> </tt>
</div><a name="L229"></a><tt class="py-lineno">229</tt>  <tt class="py-line">                 </tt>
<a name="L230"></a><tt class="py-lineno">230</tt>  <tt class="py-line">        <tt class="py-comment">#</tt> </tt>
<a name="L231"></a><tt class="py-lineno">231</tt>  <tt class="py-line"><tt class="py-comment"></tt>        <tt class="py-comment">#  Inserts the EOF monitor.</tt> </tt>
<a name="L232"></a><tt class="py-lineno">232</tt>  <tt class="py-line"><tt class="py-comment"></tt>        <tt class="py-comment">#</tt> </tt>
<a name="Mplayer.startEofHandler"></a><div id="Mplayer.startEofHandler-def"><a name="L233"></a><tt class="py-lineno">233</tt> <a class="py-toggle" href="#" id="Mplayer.startEofHandler-toggle" onclick="return toggle('Mplayer.startEofHandler');">-</a><tt class="py-line"><tt class="py-comment"></tt>        <tt class="py-keyword">def</tt> <a class="py-def-name" href="screenlets.plugins.Mplayer.Mplayer-class.html#startEofHandler">startEofHandler</a><tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="Mplayer.startEofHandler-collapsed" style="display:none;" pad="+++" indent="++++++++++++"></div><div id="Mplayer.startEofHandler-expanded"><a name="L234"></a><tt class="py-lineno">234</tt>  <tt class="py-line">                <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-67" class="py-name"><a title="screenlets.plugins.Mplayer.Mplayer.eofHandler" class="py-name" href="#" onclick="return doclink('link-67', 'eofHandler', 'link-5');">eofHandler</a></tt> <tt class="py-op">=</tt> <tt class="py-name">gobject</tt><tt class="py-op">.</tt><tt class="py-name">io_add_watch</tt><tt class="py-op">(</tt><tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-68" class="py-name"><a title="screenlets.plugins.Mplayer.Mplayer.mplayerOut" class="py-name" href="#" onclick="return doclink('link-68', 'mplayerOut', 'link-3');">mplayerOut</a></tt><tt class="py-op">,</tt> <tt class="py-name">gobject</tt><tt class="py-op">.</tt><tt class="py-name">IO_HUP</tt><tt class="py-op">,</tt> <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-69" class="py-name" targets="Method screenlets.plugins.Mplayer.Mplayer.handleEof()=screenlets.plugins.Mplayer.Mplayer-class.html#handleEof"><a title="screenlets.plugins.Mplayer.Mplayer.handleEof" class="py-name" href="#" onclick="return doclink('link-69', 'handleEof', 'link-69');">handleEof</a></tt><tt class="py-op">)</tt> </tt>
</div><a name="L235"></a><tt class="py-lineno">235</tt>  <tt class="py-line">         </tt>
<a name="L236"></a><tt class="py-lineno">236</tt>  <tt class="py-line">        <tt class="py-comment">#</tt> </tt>
<a name="L237"></a><tt class="py-lineno">237</tt>  <tt class="py-line"><tt class="py-comment"></tt>        <tt class="py-comment">#  Removes the EOF monitor.</tt> </tt>
<a name="L238"></a><tt class="py-lineno">238</tt>  <tt class="py-line"><tt class="py-comment"></tt>        <tt class="py-comment">#</tt> </tt>
<a name="Mplayer.stopEofHandler"></a><div id="Mplayer.stopEofHandler-def"><a name="L239"></a><tt class="py-lineno">239</tt> <a class="py-toggle" href="#" id="Mplayer.stopEofHandler-toggle" onclick="return toggle('Mplayer.stopEofHandler');">-</a><tt class="py-line"><tt class="py-comment"></tt>        <tt class="py-keyword">def</tt> <a class="py-def-name" href="screenlets.plugins.Mplayer.Mplayer-class.html#stopEofHandler">stopEofHandler</a><tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="Mplayer.stopEofHandler-collapsed" style="display:none;" pad="+++" indent="++++++++++++"></div><div id="Mplayer.stopEofHandler-expanded"><a name="L240"></a><tt class="py-lineno">240</tt>  <tt class="py-line">                <tt class="py-keyword">if</tt> <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-70" class="py-name"><a title="screenlets.plugins.Mplayer.Mplayer.eofHandler" class="py-name" href="#" onclick="return doclink('link-70', 'eofHandler', 'link-5');">eofHandler</a></tt><tt class="py-op">:</tt> </tt>
<a name="L241"></a><tt class="py-lineno">241</tt>  <tt class="py-line">                        <tt class="py-name">gobject</tt><tt class="py-op">.</tt><tt class="py-name">source_remove</tt><tt class="py-op">(</tt><tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-71" class="py-name"><a title="screenlets.plugins.Mplayer.Mplayer.eofHandler" class="py-name" href="#" onclick="return doclink('link-71', 'eofHandler', 'link-5');">eofHandler</a></tt><tt class="py-op">)</tt> </tt>
<a name="L242"></a><tt class="py-lineno">242</tt>  <tt class="py-line">                <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-72" class="py-name"><a title="screenlets.plugins.Mplayer.Mplayer.eofHandler" class="py-name" href="#" onclick="return doclink('link-72', 'eofHandler', 'link-5');">eofHandler</a></tt> <tt class="py-op">=</tt> <tt class="py-number">0</tt> </tt>
</div><a name="L243"></a><tt class="py-lineno">243</tt>  <tt class="py-line">         </tt>
<a name="L244"></a><tt class="py-lineno">244</tt>  <tt class="py-line">        <tt class="py-comment">#</tt> </tt>
<a name="L245"></a><tt class="py-lineno">245</tt>  <tt class="py-line"><tt class="py-comment"></tt>        <tt class="py-comment">#  Inserts the input monitoy.</tt> </tt>
<a name="L246"></a><tt class="py-lineno">246</tt>  <tt class="py-line"><tt class="py-comment"></tt>        <tt class="py-comment">#</tt> </tt>
<a name="Mplayer.startInputHandler"></a><div id="Mplayer.startInputHandler-def"><a name="L247"></a><tt class="py-lineno">247</tt> <a class="py-toggle" href="#" id="Mplayer.startInputHandler-toggle" onclick="return toggle('Mplayer.startInputHandler');">-</a><tt class="py-line"><tt class="py-comment"></tt>        <tt class="py-keyword">def</tt> <a class="py-def-name" href="screenlets.plugins.Mplayer.Mplayer-class.html#startInputHandler">startInputHandler</a><tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="Mplayer.startInputHandler-collapsed" style="display:none;" pad="+++" indent="++++++++++++"></div><div id="Mplayer.startInputHandler-expanded"><a name="L248"></a><tt class="py-lineno">248</tt>  <tt class="py-line">                <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-73" class="py-name"><a title="screenlets.plugins.Mplayer.Mplayer.inputHandler" class="py-name" href="#" onclick="return doclink('link-73', 'inputHandler', 'link-4');">inputHandler</a></tt> <tt class="py-op">=</tt> <tt class="py-name">gobject</tt><tt class="py-op">.</tt><tt class="py-name">io_add_watch</tt><tt class="py-op">(</tt><tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-74" class="py-name"><a title="screenlets.plugins.Mplayer.Mplayer.mplayerOut" class="py-name" href="#" onclick="return doclink('link-74', 'mplayerOut', 'link-3');">mplayerOut</a></tt><tt class="py-op">,</tt> <tt class="py-name">gobject</tt><tt class="py-op">.</tt><tt class="py-name">IO_IN</tt><tt class="py-op">,</tt> <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-75" class="py-name" targets="Method screenlets.plugins.Mplayer.Mplayer.handleInput()=screenlets.plugins.Mplayer.Mplayer-class.html#handleInput"><a title="screenlets.plugins.Mplayer.Mplayer.handleInput" class="py-name" href="#" onclick="return doclink('link-75', 'handleInput', 'link-75');">handleInput</a></tt><tt class="py-op">)</tt> </tt>
</div><a name="L249"></a><tt class="py-lineno">249</tt>  <tt class="py-line">         </tt>
<a name="L250"></a><tt class="py-lineno">250</tt>  <tt class="py-line">        <tt class="py-comment">#</tt> </tt>
<a name="L251"></a><tt class="py-lineno">251</tt>  <tt class="py-line"><tt class="py-comment"></tt>        <tt class="py-comment">#  Removes the EOF monitor.</tt> </tt>
<a name="L252"></a><tt class="py-lineno">252</tt>  <tt class="py-line"><tt class="py-comment"></tt>        <tt class="py-comment">#</tt> </tt>
<a name="Mplayer.stopInputHandler"></a><div id="Mplayer.stopInputHandler-def"><a name="L253"></a><tt class="py-lineno">253</tt> <a class="py-toggle" href="#" id="Mplayer.stopInputHandler-toggle" onclick="return toggle('Mplayer.stopInputHandler');">-</a><tt class="py-line"><tt class="py-comment"></tt>        <tt class="py-keyword">def</tt> <a class="py-def-name" href="screenlets.plugins.Mplayer.Mplayer-class.html#stopInputHandler">stopInputHandler</a><tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="Mplayer.stopInputHandler-collapsed" style="display:none;" pad="+++" indent="++++++++++++"></div><div id="Mplayer.stopInputHandler-expanded"><a name="L254"></a><tt class="py-lineno">254</tt>  <tt class="py-line">                <tt class="py-keyword">if</tt> <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-76" class="py-name"><a title="screenlets.plugins.Mplayer.Mplayer.inputHandler" class="py-name" href="#" onclick="return doclink('link-76', 'inputHandler', 'link-4');">inputHandler</a></tt><tt class="py-op">:</tt> </tt>
<a name="L255"></a><tt class="py-lineno">255</tt>  <tt class="py-line">                        <tt class="py-name">gobject</tt><tt class="py-op">.</tt><tt class="py-name">source_remove</tt><tt class="py-op">(</tt><tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-77" class="py-name"><a title="screenlets.plugins.Mplayer.Mplayer.inputHandler" class="py-name" href="#" onclick="return doclink('link-77', 'inputHandler', 'link-4');">inputHandler</a></tt><tt class="py-op">)</tt> </tt>
<a name="L256"></a><tt class="py-lineno">256</tt>  <tt class="py-line">                <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-78" class="py-name"><a title="screenlets.plugins.Mplayer.Mplayer.inputHandler" class="py-name" href="#" onclick="return doclink('link-78', 'inputHandler', 'link-4');">inputHandler</a></tt> <tt class="py-op">=</tt> <tt class="py-number">0</tt> </tt>
</div></div><a name="L257"></a><tt class="py-lineno">257</tt>  <tt class="py-line">                 </tt>
<a name="L258"></a><tt class="py-lineno">258</tt>  <tt class="py-line"><tt class="py-comment">#End of file</tt> </tt>
<a name="L259"></a><tt class="py-lineno">259</tt>  <tt class="py-line"><tt class="py-comment"></tt> </tt><script type="text/javascript">
<!--
expandto(location.href);
// -->
</script>
</pre>
<br />
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="screenlets-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            >Screenlets 0.1.2</th>
          </tr></table></th>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%%">
  <tr>
    <td align="left" class="footer">
    Generated by Epydoc 3.0beta1 on Wed Jun  4 18:53:02 2008
    </td>
    <td align="right" class="footer">
      <a href="http://epydoc.sourceforge.net">http://epydoc.sourceforge.net</a>
    </td>
  </tr>
</table>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie()
  // -->
</script>
  
</body>
</html>
